Up

# NSSpellServer

### Authors

Gregory John Casamento (`borgheron@yahoo.com`)
Scott Christley (`scottc@net-community.com`)

> Class to allow a spell checker to be available to other apps.

Copyright: (C) 2001, 1996 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSSpellServer class
2. Software documentation for the NSObject(NSSpellServerDelegate) informal protocol

# Software documentation for the NSSpellServer class

## NSSpellServer : NSObject

> Declared in:
>   AppKit/NSSpellServer.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -delegate
- -isWordInUserDictionaries:caseSensitive:
- -registerLanguage:byVendor:
- -run
- -setDelegate:

### delegate

- (id) delegate;

Description forthcoming.

### isWordInUserDictionaries:caseSensitive:

- (BOOL) isWordInUserDictionaries: (NSString*)word caseSensitive: (BOOL)flag;

Description forthcoming.

### registerLanguage:byVendor:

- (BOOL) registerLanguage: (NSString*)language byVendor: (NSString*)vendor;

Description forthcoming.

### run

- (void) run;

Description forthcoming.

### setDelegate:

- (void) setDelegate: (id)anObject;

Description forthcoming.

# Software documentation for the NSObject(NSSpellServerDelegate) informal protocol

## NSObject(NSSpellServerDelegate)

> Declared in:
>   AppKit/NSSpellServer.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -spellServer:didForgetWord:inLanguage:
- -spellServer:didLearnWord:inLanguage:
- -spellServer:findMisspelledWordInString:language:wordCount:countOnly:
- -spellServer:suggestGuessesForWord:inLanguage:

### spellServer:didForgetWord:inLanguage:

- (void) spellServer: (NSSpellServer*)sender didForgetWord: (NSString*)word inLanguage: (NSString*)language;

Description forthcoming.

### spellServer:didLearnWord:inLanguage:

- (void) spellServer: (NSSpellServer*)sender didLearnWord: (NSString*)word inLanguage: (NSString*)language;

Description forthcoming.

### spellServer:findMisspelledWordInString:language:wordCount:countOnly:

- (NSRange) spellServer: (NSSpellServer*)sender findMisspelledWordInString: (NSString*)stringToCheck language: (NSString*)language wordCount: (int*)wordCount countOnly: (BOOL)countOnly;

Description forthcoming.

### spellServer:suggestGuessesForWord:inLanguage:

- (NSArray*) spellServer: (NSSpellServer*)sender suggestGuessesForWord: (NSString*)word inLanguage: (NSString*)language;

Description forthcoming.

Up